# SwiftUiTp

Projet de DouShouQi avec SwiftUI-SpriteKit et ARKit

## Overview

Ce projet est une implémentation du jeu de société traditionnel chinois Dou Shou Qi, également connu sous le nom de Jeu de la Jungle, pour les appareils iOS. Il s'agit d'un jeu stratégique à deux joueurs dans lequel chaque joueur contrôle huit pions représentant différents animaux ayant des rangs et des pouvoirs variés. L'objectif est de capturer la tanière de l'adversaire ou d'éliminer toutes les pièces adverses.

## Technologies utilisées

- **Swift** : Le principal langage de programmation pour le développement d'applications iOS.
- **SpriteKit** : Une puissante infrastructure de rendu graphique et d'animation intégrée à iOS pour la création de jeux en 2D.
- **Xcode** : L'environnement de développement intégré (IDE) pour macOS, utilisé pour le développement d'applications iOS.

## Features
- Gestion d'un thème sombre en fonction du thème du device
- Menu
- Affichage d'une historique dynamique en fonction de données stubées
- ARKIT : Affichage d'une component Board dans un WorldPannel, sans la logique de jeu
- Affichage d'une board dynamique en 2D, mais lié qu'avec une partie des règles de jeu


## Featuresn't
- L'applications n'a pas d'options multilingue
- Aucune persistance de données
- Création de joueur non géré
- Impossibilité de lancer une partie
- Modification des joueurs commencée, mais abandonnée

# :construction_worker: Développeur

- Pierre FERREIRA : pierre.ferreira@etu.uca.fr

<div align="center">
<a href = "https://codefirst.iut.uca.fr/git/pierre.ferreira">
<img src="https://codefirst.iut.uca.fr/git/avatars/edbacace5f621ae77077f206ebdcee27?size=870" width="50" >
</a>

© IUT - Auvergne
</div>